This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1010852 - Batch scripts usability fix
Batch scripts usability fix
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Scripts and Commands (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: Pending
: EAP 6.4.0
Assigned To: Josef Cacek
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-23 04:08 EDT by Petr Kremensky
Modified: 2015-01-13 06:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-13 06:39:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-2152 Major Resolved Windows Batch scripts usability fix 2014-04-28 03:00:37 EDT

  None (edit)
Description Petr Kremensky 2013-09-23 04:08:16 EDT
As a fix for BZ899954 there were some changes in standalone.bat and vault.bat scripts (https://github.com/jbossas/jboss-eap/pull/304). This fixed eg. server startup with '&' char on path. 

These changes should be made also to other .bat scripts as now (6.2.0.ER1) if you try to start server from folder named "jboss&eap" standalone.bat will start server successfully, but domain.bat will fail.
Comment 1 Permaine Cheung 2013-09-23 10:48:52 EDT
Josef, can you please make similar changes for BZ899954 to other .bat scripts? Thanks!
Comment 2 Josef Cacek 2013-09-25 03:26:15 EDT
PR sent: https://github.com/jbossas/jboss-eap/pull/462
Comment 6 JBoss JIRA Server 2013-11-04 11:39:41 EST
Brian Stansberry <brian.stansberry@redhat.com> made a comment on jira WFLY-2152

This was probably fixed in the Beta.
Comment 9 Petr Kremensky 2015-01-13 06:39:23 EST
This one is already fixed, thus closing.

Note You need to log in before you can comment on or make changes to this bug.